<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace loyalsoft;

/**
 * Description of Ins_BreedEggSlot
 *
 * @author c'y'zhao
 */
class Ins_BreedEggSlot extends Object_ext{
    /**
     * 坑位id
     */
    public $uid = 0;       
    
    /**
     * 坑位上孵化的蛋
     */
    public $eggId = 0;       
    
    /**
     * 开始孵化时间
     * @var type
     */
    public $endTs = 0;
    
    /**
     * 是否解锁 0：没有
     * @var type
     */
    public $unlock = 0;

    /**
     * 构造函数
     * @param type $args
     */
    public function __construct($args = null) {
        if($args !=null){
            parent::__construct($args);
        } else {
            
        }                
    }
    
    /**
     * 配置
     * @return sm_pet_egg
     */
    public function mo() {
        $mo = GameConfig::pet_egg_getItem($this->eggId);
        my_Assert(null != $mo, ErrCode::err_const_no);
        return $mo;
    }
}
